Subject: Unidentified subject!

From: wilson erik robert <[email-masked]>
Date: Wed, 5 Apr 1995 12:13:26 -0500

I am attempting to use procmail, but am having problems. The example

          :0:
          * ^TOscuba
          scubafile

yields the message
procmail: Lock failure on "/usr/spool/mail/erikred.lock"
as does my actual .procmailrc file

My .forward file is
"|IFS=' ';exec /usr/local/bin/procmail #erikred"

and my .procmailrc file is

:0 hwc:
* ^Subject:.*auction
| auctionbot

procmail v2.92pre8 is installed on the system.
There is no /etc/procmailrc on the system.
auctionbot is a perl program. It opens several files and writes to them,
  then sends mail to one or more people, but it does not produces a
  stdio output.

-rw-------  1 erikred      1069 Apr  5 11:58 /usr/spool/mail/erikred
is the permissions for the spool file.

I have tried several different methods of setting up a different lockfile
(as shown in the examples), but the best I can do is sometimes achieve
    Couldn't determine implicit lockfile from "x"

Can someone shed some light on this?